Bug 605402 - [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox wa...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:8b0b69597578230d725b8961f68...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 16:41 EDT by Luis Garza
Modified: 2011-02-04 10:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-04 10:46:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.16 KB, text/plain)
2010-06-17 16:41 EDT, Luis Garza
no flags Details

  None (edit)
Description Luis Garza 2010-06-17 16:41:37 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.6/firefox --sm-config-prefix /firefox-tlMcHx/ --sm-client-id 107be27138242ee192127627534016658800000020850044 --screen 0
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/firefox-3.6/firefox
global_uuid: 8b0b69597578230d725b8961f682528e9c22bdf3
kernel: 2.6.33.5-124.fc13.i686
package: firefox-3.6.3-4.fc13
rating: 4
reason: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. add bookmark
2. edit bookmark
3. save bookmark, ABRT window comes up
Comment 1 Luis Garza 2010-06-17 16:41:40 EDT
Created attachment 424937 [details]
File: backtrace
Comment 2 d. johnson 2010-08-13 11:39:14 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update' or using the graphical updater, Software Update.


Disable extensions, plugins and non-default themes. Clear cookies and cache. Exit the browser completely.  Then restart the browser and attempt to replicate the crash.


You also appear to have permission problems:

Error while mapping shared library sections:
/home/vox/.mozilla/firefox/rx8ek70j.default/extensions/{a7c6cf7f-112c-4500-a7ea-39801a327e5f}/platform/Linux_x86-gcc3/components/libipc_fireftp.so: Permission denied.


#3  <signal handler called>
No symbol table info available.
#4  0x02ac8778 in canonicalize (in=0x95150040) at nsCycleCollector.cpp:1176
        child = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
#5  0x02ac89cc in GCGraphBuilder::NoteXPCOMChild (this=0xbf8c9d48, child=
    0x95150040) at nsCycleCollector.cpp:1460
        cp = <value optimized out>
#6  0x024cf2fc in nsGenericElement::cycleCollection::Traverse (this=
    0x3329a40, p=0x95613420, cb=...) at nsGenericElement.cpp:4100
        i = 1
        attrs = 3
        kids = 3
        s = 0x95613420
        tmp = 0x95613420
        currentDoc = <value optimized out>
        ownerDoc = <value optimized out>
#7  0x02ac85c1 in GCGraphBuilder::Traverse (this=0xbf8c9d48, aPtrInfo=
    0xac359924) at nsCycleCollector.cpp:1389
        rv = <value optimized out>
#8  0x02ac8639 in nsCycleCollector::MarkRoots (this=0xb760d800, builder=...)
    at nsCycleCollector.cpp:1611
        pi = <value optimized out>
#9  0x02ac8e7e in nsCycleCollector::BeginCollection (this=0xb760d800)
    at nsCycleCollector.cpp:2554
        builder = {<nsCycleCollectionTraversalCallback> = {
            _vptr.nsCycleCollectionTraversalCallback = 0x330d640, mFlags = 
    0}, mNodeBuilder = {mNextBlock = 0xac301000, mNext = @0xb760d844, 
            mBlockEnd = 0xac3c1004}, mEdgeBuilder = {mCurrent = 0xa5788278, 
            mBlockEnd = 0xa57b0ff8, mNextBlockPtr = 0xa57b0ffc}, 
          mPtrToNodeMap = warning: can't find linker symbol for virtual table for `PLDHashTable' value
warning:   found `nsExceptionService::tlsIndex' instead
{ops = 0x331d8bc, data = 0x0, hashShift = 15, 
            maxAlphaFrac = 192 '\300', minAlphaFrac = 64 '@', entrySize = 8, 
            entryCount = 83272, removedCount = 0, generation = 2, 
            entryStore = 0xac400000 ""}, mCurrPi = 0xac359924, mRuntimes = 
    0xb760d810}
#10 0x02ac8efd in nsCycleCollector_beginCollection ()




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2011-02-04 10:46:14 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.